# QuorraJS Framework

[![npm version](https://img.shields.io/npm/v/positron.svg)](https://www.npmjs.com/package/positron)
[![Build Status](https://travis-ci.org/quorrajs/Positron.svg?branch=master)](https://travis-ci.org/quorrajs/Positron)
[![License](https://img.shields.io/npm/l/positron.svg)](https://www.npmjs.com/package/positron)

NodeJS Framework For Web Riders

## Intro

QuorraJS is a NodeJS MVC framework for building elegant web applications. It provides a clean application structure
and simple API's to develop applications in a expressive beautiful syntax.

QuorraJS specialities include:

 - Transparent well documented code base written mostly by following JS prototype design.
 - Dead simple and powerful [router](https://quorrajs.org/docs/1.0.0/getting-started/routing.html).
 - Restful [resource routes](https://quorrajs.org/docs/1.0.0/getting-started/controllers.html#restful-resource-controllers) support.
 - Easy-to-use [CLI wizard](https://quorrajs.org/docs/1.0.0/quorra-cli/overview.html).
 - Super cool and pretty [error handler interface](https://github.com/quorrajs/Ouch) which makes debugging a lot easier.
 - Ships with built in basic [authentication support](https://quorrajs.org/docs/1.0.0/more/security.html).
 - Fast without the need for complex optimization.

and much more.

## Documentation

[Quickstart](https://quorrajs.org/docs/1.0.0/preface/quickstart.html)

[Getting started](https://quorrajs.org/docs/1.0.0/getting-started/installation.html)

## Questions

For questions and support please use the [Gitter chat room](https://gitter.im/quorrajs/quorrajs). The issue list of this repo is exclusively for bug
reports and feature requests.

## Stay In Touch

For latest releases and announcements, follow on Twitter: [@quorrajs](https://twitter.com/quorrajs)

## License

The QuorraJS Framework is open-sourced software licensed under the [MIT license](http://opensource.org/licenses/MIT)